<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.cai.mapper.ConsumeLogMapper">

    <resultMap type="com.ruoyi.cai.domain.ConsumeLog" id="CaiConsumeLogResult">
        <result property="id" column="id"/>
        <result property="type" column="type"/>
        <result property="sourceBusinessId" column="source_business_id"/>
        <result property="amount" column="amount"/>
        <result property="anchorAmount" column="anchor_amount"/>
        <result property="oneAmount" column="one_amount"/>
        <result property="twoAmount" column="two_amount"/>
        <result property="platformAmount" column="platform_amount"/>
        <result property="sourceUserId" column="source_user_id"/>
        <result property="sourceUsercode" column="source_usercode"/>
        <result property="sourcePhone" column="source_phone"/>
        <result property="targetUserId" column="target_user_id"/>
        <result property="targetUsercode" column="target_usercode"/>
        <result property="targetPhone" column="target_phone"/>
        <result property="oneUserId" column="one_user_id"/>
        <result property="oneUsercode" column="one_usercode"/>
        <result property="onePhone" column="one_phone"/>
        <result property="oneRate" column="one_rate"/>
        <result property="oneIsUnion" column="one_is_union"/>
        <result property="twoUserId" column="two_user_id"/>
        <result property="twoUsercode" column="two_usercode"/>
        <result property="twoPhone" column="two_phone"/>
        <result property="twoRate" column="two_rate"/>
        <result property="twoIsUnion" column="two_is_union"/>
        <result property="calculateStatus" column="calculate_status"/>
        <result property="status" column="status"/>
        <result property="admin" column="admin"/>
        <result property="adminId" column="admin_id"/>
        <result property="adminName" column="admin_name"/>
        <result property="opId" column="op_id"/>
        <result property="opName" column="op_name"/>
        <result property="opCreate" column="op_create"/>
        <result property="createTime" column="create_time"/>
    </resultMap>


</mapper>
